<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class SubscriberMeta_model extends CI_Model {

	var $table = 'subscriber_meta';
	//var $column = array('reference_no'); //set column field database for order and search
	var $order = array('id' => 'desc'); // default order 

	public function __construct()
	{
		parent::__construct();
		$this->load->database();
		
	}

	
	
	public function get_all()
	{
		$this->db->from($this->table);
		
		$query = $this->db->get();

		return $query->result();
	}


	public function count_all()
	{
		$this->db->from($this->table);
		
		return $this->db->count_all_results();
	}

	public function get_by_id($id)
	{
		$this->db->from($this->table);
		$this->db->where('id',$id);
		$query = $this->db->get();

		return $query->row();
	}
public function get_by_newSubscription($id) // by subscriber ID and meta key = subscription
	{
		$this->db->from($this->table);
		$this->db->where('subscriber_id="'.$id.'" and meta_key = "subscription"');
		$query = $this->db->get();

		return $query->row();
	}

public function get_by_subid($id) // by subscriber ID and meta key = subscription
	{
		$this->db->from($this->table);
		$this->db->where('subscriber_id="'.$id.'" and meta_key = "renew"');
		$query = $this->db->get();

		return $query->result();
	}
public function get_by_upgradeid($id) // by subscriber ID and meta key = subscription
	{
		$this->db->from($this->table);
		$this->db->where('subscriber_id="'.$id.'" and meta_key = "upgrade"');
		$query = $this->db->get();

		return $query->result();
	}

public function get_by_billingAddress($id) // by subscriber ID and meta key = subscription
	{
		$this->db->from($this->table);
		$this->db->where('subscriber_id="'.$id.'" and meta_key = "billing_address"');
		$query = $this->db->get();

		return $query->row();
	}


	public function save($data)
	{
		$this->db->insert($this->table, $data);
		return $this->db->insert_id();
	}

	public function update($where, $data)
	{
		$this->db->update($this->table, $data, $where);
		return $this->db->affected_rows();
	}
	
	public function delete_by_id($id)
	{
		$this->db->where('id', $id);
		$this->db->delete($this->table);
	}
	
	
	

}
